# dask.dataframe.tseries.resample.Resampler.last

Resampler.last()

  Compute the last entry of each column within each group.

  This docstring was copied from pandas.core.resample.Resampler.last.

  Some inconsistencies with the Dask version may exist.

  Defaults to skipping NA elements.

  Parameters:
    numeric_only bool, default False (Not supported in Dask)

      Include only float, int, boolean columns. If None, will attempt to use everything, then use only numeric data.

    min_count int, default -1 (Not supported in Dask)

      The required number of valid values to perform the operation. If fewer than `min_count` valid values are present the result will be NA.

    skipna bool, default True (Not supported in Dask)

      Exclude NA/null values. If an entire row/column is NA, the result will be NA.

      Added in version 2.2.1.

  Returns:
    Series or DataFrame

      Last of values within each group.

  See also

  `DataFrame.groupby`

    Apply a function groupby to each row or column of a DataFrame.

  `pandas.core.groupby.DataFrameGroupBy.first`

    Compute the first non-null entry of each column.

  `pandas.core.groupby.DataFrameGroupBy.nth`

    Take the nth row from each group.

  Examples

      >>> df = pd.DataFrame(dict(A=[1, 1, 3], B=[5, None, 6], C=[1, 2, 3]))
      >>> df.groupby("A").last()
           B  C
      A
      1  5.0  2
      3  6.0  3